/*
** The following is an include file for wildexp.c and also
** for any programs which desire to use findfirst and/or findnext.
** This file is not needed for programs that are only using
** iswild and wildexp.
**
** Written by:  Rick Schaeffer
**              E. 13611 26th Ave
**              Spokane, Wa.  99216
**              Compuserve ID: 70120,174
**              Bytenet ID: ricks.
*/

#ifndef LIBRARIES_DOS_H
#include <libraries/dos.h>
#endif

#ifndef LIBRARIES_DOSEXTENS_H
struct Msg { int dummy; };      /* make Lattice shut-up about this */
#include <libraries/dosextens.h>
#endif

/*
** The following is the structure used by findfirst and findnext.
** A pointer to this structure MUST be passed to findfirst, which
** fills it in.  Subsequent calls to findnext must pass a pointer
** to the structure which was filled in by findfirst.  The actual
** file name found is in the "fname" element of the structure after
** each call.  NOTE: The last two elements of the structure refer
** to AmigaDos specific items.  Users of findfirst and findnext may,
** if they choose, define the "find" structure such that the last
** two elements (flock and fp) are defined as "long".  In that fashion,
** you can eliminate the need to #include the "dos" information.  Of
** course, if access to the FileInfoBlock is desired, you must use
** the structure as defined below.
*/
struct find {
    char    path[128];  /* path portion of the argument */
    char    name[32];   /* name portion of the argument */
    char    fpath[128]; /* FULL path to actual file found */
                        /* NOTE: fpath is currently not filled in.  To
                           be added later */
    char    fname[32];  /* actual name of file found */
    BPTR    flock;      /* lock for the directory containing the file */
    struct FileInfoBlock *fp;   /* pointer to fib of file */
    };

